package shub.dpm;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class main_subs_0 {


public static void  _activity_create(RemoteObject _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,52);
if (RapidSub.canDelegate("activity_create")) { shub.dpm.main.remoteMe.runUserSub(false, "main","activity_create", _firsttime); return;}
ResumableSub_Activity_Create rsub = new ResumableSub_Activity_Create(null,_firsttime);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_Activity_Create extends BA.ResumableSub {
public ResumableSub_Activity_Create(shub.dpm.main parent,RemoteObject _firsttime) {
this.parent = parent;
this._firsttime = _firsttime;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
shub.dpm.main parent;
RemoteObject _firsttime;
RemoteObject _ani = RemoteObject.declareNull("anywheresoftware.b4a.objects.AnimationWrapper");

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,52);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 53;BA.debugLine="If FirstTime=True Then";
Debug.ShouldStop(1048576);
if (true) break;

case 1:
//if
this.state = 4;
if (RemoteObject.solveBoolean("=",_firsttime,parent.mostCurrent.__c.getField(true,"True"))) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 BA.debugLineNum = 54;BA.debugLine="Activity.LoadLayout(\"Splash\")";
Debug.ShouldStop(2097152);
parent.mostCurrent._activity.runMethodAndSync(false,"LoadLayout",(Object)(RemoteObject.createImmutable("Splash")),main.mostCurrent.activityBA);
 BA.debugLineNum = 55;BA.debugLine="Label3.text=  Chr(0x00A9)& \"2021 - Stefan Hutter";
Debug.ShouldStop(4194304);
parent.mostCurrent._label3.runMethod(true,"setText",BA.ObjectToCharSequence(RemoteObject.concat(parent.mostCurrent.__c.runMethod(true,"Chr",(Object)(BA.numberCast(int.class, 0x00a9))),RemoteObject.createImmutable("2021 - Stefan Hutter Unternehmensberatung"))));
 BA.debugLineNum = 56;BA.debugLine="Dim ani As Animation";
Debug.ShouldStop(8388608);
_ani = RemoteObject.createNew ("anywheresoftware.b4a.objects.AnimationWrapper");Debug.locals.put("ani", _ani);
 BA.debugLineNum = 59;BA.debugLine="ImageView1.Left=(100%x-ImageView1.Width)/2";
Debug.ShouldStop(67108864);
parent.mostCurrent._imageview1.runMethod(true,"setLeft",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {parent.mostCurrent.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 100)),main.mostCurrent.activityBA),parent.mostCurrent._imageview1.runMethod(true,"getWidth")}, "-",1, 1)),RemoteObject.createImmutable(2)}, "/",0, 0)));
 BA.debugLineNum = 60;BA.debugLine="ani.InitializeScaleCenter(\"\",0,0,1,1,ImageView1)";
Debug.ShouldStop(134217728);
_ani.runVoidMethod ("InitializeScaleCenter",main.mostCurrent.activityBA,(Object)(BA.ObjectToString("")),(Object)(BA.numberCast(float.class, 0)),(Object)(BA.numberCast(float.class, 0)),(Object)(BA.numberCast(float.class, 1)),(Object)(BA.numberCast(float.class, 1)),(Object)((parent.mostCurrent._imageview1.getObject())));
 BA.debugLineNum = 61;BA.debugLine="ani.Duration=800";
Debug.ShouldStop(268435456);
_ani.runMethod(true,"setDuration",BA.numberCast(long.class, 800));
 BA.debugLineNum = 62;BA.debugLine="ImageView1.Tag=ani";
Debug.ShouldStop(536870912);
parent.mostCurrent._imageview1.runMethod(false,"setTag",(_ani.getObject()));
 BA.debugLineNum = 63;BA.debugLine="ani.Start(ImageView1)";
Debug.ShouldStop(1073741824);
_ani.runVoidMethod ("Start",(Object)((parent.mostCurrent._imageview1.getObject())));
 BA.debugLineNum = 66;BA.debugLine="Sleep(4000)";
Debug.ShouldStop(2);
parent.mostCurrent.__c.runVoidMethod ("Sleep",main.mostCurrent.activityBA,anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "main", "activity_create"),BA.numberCast(int.class, 4000));
this.state = 5;
return;
case 5:
//C
this.state = 4;
;
 if (true) break;

case 4:
//C
this.state = -1;
;
 BA.debugLineNum = 68;BA.debugLine="StartActivity(\"AppMain\")";
Debug.ShouldStop(8);
parent.mostCurrent.__c.runVoidMethod ("StartActivity",main.processBA,(Object)((RemoteObject.createImmutable("AppMain"))));
 BA.debugLineNum = 69;BA.debugLine="End Sub";
Debug.ShouldStop(16);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static RemoteObject  _globals() throws Exception{
 //BA.debugLineNum = 26;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 47;BA.debugLine="Private Label3 As Label";
main.mostCurrent._label3 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");
 //BA.debugLineNum = 48;BA.debugLine="Private ImageView1 As ImageView";
main.mostCurrent._imageview1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ImageViewWrapper");
 //BA.debugLineNum = 50;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main_subs_0._process_globals();
listdata_subs_0._process_globals();
param_subs_0._process_globals();
starter_subs_0._process_globals();
tempdata_subs_0._process_globals();
about_subs_0._process_globals();
appmain_subs_0._process_globals();
httputils2service_subs_0._process_globals();
xuiviewsutils_subs_0._process_globals();
main.myClass = BA.getDeviceClass ("shub.dpm.main");
listdata.myClass = BA.getDeviceClass ("shub.dpm.listdata");
param.myClass = BA.getDeviceClass ("shub.dpm.param");
starter.myClass = BA.getDeviceClass ("shub.dpm.starter");
tempdata.myClass = BA.getDeviceClass ("shub.dpm.tempdata");
about.myClass = BA.getDeviceClass ("shub.dpm.about");
appmain.myClass = BA.getDeviceClass ("shub.dpm.appmain");
httputils2service.myClass = BA.getDeviceClass ("shub.dpm.httputils2service");
httpjob.myClass = BA.getDeviceClass ("shub.dpm.httpjob");
animatedcounter.myClass = BA.getDeviceClass ("shub.dpm.animatedcounter");
anotherprogressbar.myClass = BA.getDeviceClass ("shub.dpm.anotherprogressbar");
b4xbreadcrumb.myClass = BA.getDeviceClass ("shub.dpm.b4xbreadcrumb");
b4xcolortemplate.myClass = BA.getDeviceClass ("shub.dpm.b4xcolortemplate");
b4xcombobox.myClass = BA.getDeviceClass ("shub.dpm.b4xcombobox");
b4xdatetemplate.myClass = BA.getDeviceClass ("shub.dpm.b4xdatetemplate");
b4xdialog.myClass = BA.getDeviceClass ("shub.dpm.b4xdialog");
b4xfloattextfield.myClass = BA.getDeviceClass ("shub.dpm.b4xfloattextfield");
b4ximageview.myClass = BA.getDeviceClass ("shub.dpm.b4ximageview");
b4xinputtemplate.myClass = BA.getDeviceClass ("shub.dpm.b4xinputtemplate");
b4xlisttemplate.myClass = BA.getDeviceClass ("shub.dpm.b4xlisttemplate");
b4xloadingindicator.myClass = BA.getDeviceClass ("shub.dpm.b4xloadingindicator");
b4xlongtexttemplate.myClass = BA.getDeviceClass ("shub.dpm.b4xlongtexttemplate");
b4xplusminus.myClass = BA.getDeviceClass ("shub.dpm.b4xplusminus");
b4xradiobutton.myClass = BA.getDeviceClass ("shub.dpm.b4xradiobutton");
b4xsearchtemplate.myClass = BA.getDeviceClass ("shub.dpm.b4xsearchtemplate");
b4xseekbar.myClass = BA.getDeviceClass ("shub.dpm.b4xseekbar");
b4xsignaturetemplate.myClass = BA.getDeviceClass ("shub.dpm.b4xsignaturetemplate");
b4xswitch.myClass = BA.getDeviceClass ("shub.dpm.b4xswitch");
b4xtimedtemplate.myClass = BA.getDeviceClass ("shub.dpm.b4xtimedtemplate");
madewithlove.myClass = BA.getDeviceClass ("shub.dpm.madewithlove");
b4xformatter.myClass = BA.getDeviceClass ("shub.dpm.b4xformatter");
roundslider.myClass = BA.getDeviceClass ("shub.dpm.roundslider");
scrollinglabel.myClass = BA.getDeviceClass ("shub.dpm.scrollinglabel");
swiftbutton.myClass = BA.getDeviceClass ("shub.dpm.swiftbutton");
xuiviewsutils.myClass = BA.getDeviceClass ("shub.dpm.xuiviewsutils");
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 18;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 24;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}